# isacenc

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstAudioEncoder
                        ╰──isacenc

## Implemented interfaces

    GstPreset

## Factory details

Authors: – Guillaume Desmottes

Classification: – `Codec/Encoder/Audio`

Rank – primary

Plugin – isac

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: S16LE
               rate: { (int)16000, (int)32000 }
             layout: interleaved
           channels: 1

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/isac:
               rate: { (int)16000, (int)32000 }
           channels: 1

Presence – always

Direction – src

Object type – GstPad

## Properties

### bitrate

    “bitrate” gint

Average Bitrate (ABR) in bits/sec

Flags : Read / Write

Default value : 32000

### max-payload-size

    “max-payload-size” gint

Maximum payload size, in bytes. Range is 120 to 400 at 16 kHz and 120 to 600 at 32 kHz (-1 = encoder default)

Flags : Read / Write

Default value : -1

### max-rate

    “max-rate” gint

Maximum rate, in bits/sec, which the codec may not exceed for any signal packet. Range is 32000 to 53400 at 16 kHz and 32000 to 160000 at 32 kHz (-1 = encoder default)

Flags : Read / Write

Default value : -1

### output-frame-len

    “output-frame-len” Isac-enc-output-frame-len *

Length, in ms, of output frames

Flags : Read / Write

Default value : 30 ms (30)

## Named constants

### Isac-enc-output-frame-len

#### Members

`30 ms` (30) – 30 ms
`60 ms, only usable in wideband mode (16 kHz)` (60) – 60 ms

The results of the search are